#

API Docs for:
Show: Inherited Protected Private Deprecated

# RightAxisLayout Class

Defined in: `input/charts/RightAxisLayout.js:1`
Module: charts

RightAxisLayout contains algorithms for rendering a right axis.

- Index
- Methods

## Item Index

### Methods

- _getDefaultMargins
- _getTransformOrigin
- _setRotationCoords
- drawTick
- getExplicitlySized
- getLabelPoint
- getLineStart
- offsetNodeForTick
- positionLabel
- positionTitle
- setCalculatedSize
- setTickOffset
- updateMaxLabelSize

## Methods

### `_getDefaultMargins`

() private

Defined in `input/charts/RightAxisLayout.js:11`

Default margins for text fields.

#### Returns:

Object

### `_getTransformOrigin`

(

- `rot`

)
protected

Defined in `input/charts/RightAxisLayout.js:298`

Returns the transformOrigin to use for an axis label based on the position of the axis and the rotation of the label.

#### Parameters:

- `rot` Number

  The rotation (in degrees) of the label.

#### Returns:

Array

### `_setRotationCoords`

(

- `props`

)
protected

Defined in `input/charts/RightAxisLayout.js:261`

Adjusts the coordinates of an axis label based on the rotation.

#### Parameters:

- `props` Object

  Coordinates, dimension and rotation properties of the label.

### `drawTick`

(

- `path`
- `pt`
- `{Object)`

)
protected

Defined in `input/charts/RightAxisLayout.js:65`

Draws a tick

#### Parameters:

- `path` Path

  reference to the path `Path` element in which to draw the tick.

- `pt` Object

  Point on the axis in which the tick will intersect.

- `{Object)` Object

  tickStyle Hash of properties to apply to the tick.

### `getExplicitlySized`

() protected

Defined in `input/charts/RightAxisLayout.js:156`

Determines the available label width when the axis width has been explicitly set.

#### Returns:

Boolean

### `getLabelPoint`

(

- `point`

)
Object protected

Defined in `input/charts/RightAxisLayout.js:112`

Calculates the point for a label.

#### Parameters:

- `point` Object

  Point on the axis in which the tick will intersect.

#### Returns:

Object:

### `getLineStart`

() Object protected

Defined in `input/charts/RightAxisLayout.js:85`

Calculates the coordinates for the first point on an axis.

#### Returns:

Object:

### `offsetNodeForTick`

(

- `cb`

)
protected

Defined in `input/charts/RightAxisLayout.js:329`

Adjusts position for inner ticks.

#### Parameters:

- `cb` Node

  contentBox of the axis

### `positionLabel`

(

- `label`
- `pt`

)
protected

Defined in `input/charts/RightAxisLayout.js:208`

Rotate and position labels.

#### Parameters:

- `label` HTMLElement

  to rotate position

- `pt` Object

  hash containing the x and y coordinates in which the label will be positioned against.

### `positionTitle`

(

- `label`

)
protected

Defined in `input/charts/RightAxisLayout.js:178`

Rotate and position title.

#### Parameters:

- `label` HTMLElement

  to rotate position

### `setCalculatedSize`

() protected

Defined in `input/charts/RightAxisLayout.js:344`

Assigns a height based on the size of the contents.

### `setTickOffset`

() protected

Defined in `input/charts/RightAxisLayout.js:28`

Sets the length of the tick on either side of the axis line.

### `updateMaxLabelSize`

(

- `label`

)
protected

Defined in `input/charts/RightAxisLayout.js:125`

Updates the value for the `maxLabelSize` for use in calculating total size.

#### Parameters:

- `label` HTMLElement

  to measure